#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n,q,br,ti;
    long long x;
    bool ok=true;
    br=1;
    q=0;
    cin >> n;
    for(int t=0;t<n;t++){
        cin >> x;
        vector<int> a;
        for(long long i=1;i<x+1;i++){
            ti=i;
            if(i!=1){
                while(ti!=0){
                br*=ti%10;
                ti=ti/10;
                }
            }
            for(long long j=0;j<a.size();j++){
                if(a[j]==br){
                    ok=false;
                }
            }
            if(ok==true){
                a.push_back(br);
                q++;
            }
            ok=true;
            br=1;
        }
        br=1;
        cout << q << endl;
        q=0;
    }
    return 0;
}